-- Customer specific once-script AAGN#37044
-- Verwijder gebouw kenmerken van gebouwen die niet meer bestaan (gevolg van verkeerde imports)

SET ECHO ON
SET DEFINE ON
column fcltlogfile new_value fcltlogfile NOPRINT;

SELECT UPPER (USER) || '_AAGN#37044' || '.lst' AS fcltlogfile FROM DUAL;

spool &fcltlogfile
SET DEFINE OFF;

DELETE FROM alg_onrgoedkenmerk
      WHERE alg_onrgoed_niveau = 'G'
        AND alg_onrgoed_key NOT IN
                  (     SELECT alg_gebouw_key FROM alg_gebouw);


COMMIT;

BEGIN adm.systrackscriptId('$Id$'); END;
/

SPOOL OFF
QUIT

